Rezepte
ReferenceUsers

/api/v1/users/{id}

Change a user's role, profile or public sharing, and/or reset the password

PATCH/api/v1/users/{id}
rezepte_session<token>

Session cookie set by POST /api/v1/auth/login.

In: cookie

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X PATCH "https://example.com/api/v1/users/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "$schema": "https://example.com/api/v1/schemas/UserAccount.json",  "avatarId": "string",  "canSharePublicly": true,  "color": "amber",  "createdAt": "2019-08-24T14:15:22Z",  "displayName": "string",  "email": "string",  "emailVerified": true,  "hasIdentity": true,  "hasPassword": true,  "id": "string",  "locale": "en",  "role": "superadmin",  "setupLinkExpiresAt": "2019-08-24T14:15:22Z",  "username": "string"}